<?php

namespace FiloBlu\CheckoutExtend\Block\Plugin\Checkout;

class LayoutProcessor {

    public $_helper;

    public function __construct(\FiloBlu\CheckoutExtend\Helper\Data $helper) {
        $this->_helper = $helper;
    }

    public function aroundProcess($subject, \Closure $proceed, $jsLayout) {

        $_shippingAdditionalData = $this->_helper->getShippingAddressAdditionalData();

        if ($_shippingAdditionalData && count($_shippingAdditionalData)) {

            foreach ($_shippingAdditionalData as $_additionalData) {
                if ($_additionalData['data_region'] == "tooltip") {
                    $jsLayout['components']['checkout']['children']['steps']['children']['shipping-step']
                            ['children']['shippingAddress']['children']['shipping-address-fieldset']
                            ['children'][$_additionalData['input_code']]['config'][$_additionalData['data_region']]["description"] = $_additionalData['label'];
                } else {
                    $jsLayout['components']['checkout']['children']['steps']['children']['shipping-step']
                            ['children']['shippingAddress']['children']['shipping-address-fieldset']
                            ['children'][$_additionalData['input_code']]['config'][$_additionalData['data_region']] = $_additionalData['label'];
                }
            }
        }

        $customJsLayout = $proceed($jsLayout);

        return $customJsLayout;
    }

}
